package com.brilliance.isc.swift.objmtconvert.model.mt9xx.tag.tag920;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.MT920Creator;

/**
 * @author hedonghao
 * @date 2023/2/20
 */
public class Tag20Creator extends AbsTagCreate {

    private MT920Creator mt920Creator;

    public Tag20Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt920Creator= (MT920Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag20Value=mt920Creator.getTransactionReferenceNumber();
        mt920Creator.set("20",tag20Value);
    }
}
